Package com.castlabs.android.thumbs

# Class ExtensibleSdkElement

java.lang.Object
com.castlabs.android.thumbs.ExtensibleSdkElement

public abstract class ExtensibleSdkElement extends Object
Base class for SDK elements that can be extended with additional functionality.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `ExtensibleSdkElement.Extension`
  Interface for extensions that can be added to an `ExtensibleSdkElement`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensibleSdkElement(List<RequestModifier> requestModifiers)`
  Creates a new ExtensibleSdkElement with the given request modifiers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRequestModifier(RequestModifier requestModifier)`
  Adds a request modifier to the element.
  `PlayerConfig`
  `getCurrentConfig()`
  Returns the current player configuration.
  `void`
  `removeRequestModifier(RequestModifier requestModifier)`
  Removes a request modifier from the element.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtensibleSdkElement

    public ExtensibleSdkElement(@NonNull List<RequestModifier> requestModifiers)
    Creates a new ExtensibleSdkElement with the given request modifiers.
    Parameters:
      `requestModifiers` - the list of request modifiers

- ## Method Details

  - ### addRequestModifier

    public void addRequestModifier(@NonNull RequestModifier requestModifier)
    Adds a request modifier to the element.
    Parameters:
      `requestModifier` - the request modifier to add

  - ### removeRequestModifier

    public void removeRequestModifier(@NonNull RequestModifier requestModifier)
    Removes a request modifier from the element.
    Parameters:
      `requestModifier` - the request modifier to remove

  - ### getCurrentConfig

    @Nullable public PlayerConfig getCurrentConfig()
    Returns the current player configuration.
    Returns:
      the current player configuration